export const ESCRIMA_STICKS_DEFAULT_ATTACKS = {
    attacks: [
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_0",
            sound: "escrima_sticks.l10.attack.1",
            duration: {
                damageTimes: [0.3],
                endTime: 0.5
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_1",
            sound: "escrima_sticks.l10.attack.2",
            duration: {
                damageTimes: [0.2],
                endTime: 0.4
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_2",
            sound: "unarmed.l0.attack.3",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_3",
            sound: "unarmed.l0.attack.4",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_4",
            sound: "escrima_sticks.l10.attack.1",
            duration: {
                damageTimes: [0.3],
                endTime: 0.5
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_5",
            sound: "escrima_sticks.l10.attack.2",
            duration: {
                damageTimes: [0.2],
                endTime: 0.4
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_6",
            sound: "escrima_sticks.l20.attack.1",
            duration: {
                damageTimes: [0.3],
                endTime: 0.5
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_7",
            sound: "escrima_sticks.l20.attack.2",
            duration: {
                damageTimes: [0.17],
                endTime: 0.8
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_8",
            sound: "escrima_sticks.l30.attack.1",
            duration: {
                damageTimes: [0.4],
                endTime: 0.9
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_9",
            sound: "escrima_sticks.l30.attack.2",
            duration: {
                damageTimes: [0.28, 58],
                clearVelocity: [true, false],
                endTime: 0.75
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_10",
            sound: "escrima_sticks.l40.attack.1",
            duration: {
                damageTimes: [0.28],
                endTime: 0.5
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_11",
            sound: "escrima_sticks.l40.attack.2",
            duration: {
                damageTimes: [0.17, 0.7],
                clearVelocity: [true, false],
                endTime: 1
            }
        },
    ],
    furyAttacks: [
        {
            damage: 10,
            range: 8,
            sound: "escrima_sticks.dragon_fury.1",
            duration: {
                damageTimes: [0.4, 1.15],
                endTime: 2.35
            }
        },
        {
            damage: 25,
            range: 8,
            sound: "escrima_sticks.dragon_fury.2",
            duration: {
                damageTimes: [0.55],
                endTime: 1.5
            }
        },
        {
            damage: 15,
            range: 8,
            sound: "escrima_sticks.dragon_fury.3",
            duration: {
                damageTimes: [1.15, 1.4, 1.6, 1.8],
                endTime: 2.5
            }
        }
    ],
    bossAttacks: [
        {
            damage: 15,
            range: 10,
            animation: "start_boss_attack",
            sound: "escrima_sticks.shoot_dragon",
            cooldown: 0.2,
            duration: {
                damageTimes: [0.85],
                endTime: 1.85
            }
        }
    ]
};
