export const TABAK_TOYOK_DEFAULT_ATTACKS = {
    attacks: [
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_0",
            sound: "tabak_toyok.l10.attack.1",
            duration: {
                damageTimes: [0.13],
                endTime: 0.49
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_1",
            sound: "tabak_toyok.l10.attack.2",
            duration: {
                damageTimes: [0.24],
                endTime: 0.64
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_2",
            sound: "unarmed.l0.attack.3",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_3",
            sound: "unarmed.l0.attack.4",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_4",
            sound: "tabak_toyok.l10.attack.1",
            duration: {
                damageTimes: [0.13],
                endTime: 0.49
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_5",
            sound: "tabak_toyok.l10.attack.2",
            duration: {
                damageTimes: [0.24],
                endTime: 0.64
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_6",
            sound: "tabak_toyok.l20.attack.1",
            duration: {
                damageTimes: [0.36],
                endTime: 0.84
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_7",
            sound: "tabak_toyok.l20.attack.2",
            duration: {
                damageTimes: [0.6],
                endTime: 1.08
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_8",
            sound: "tabak_toyok.l30.attack.1",
            duration: {
                damageTimes: [0.2, 0.32, 0.56],
                clearVelocity: [true, true, false],
                endTime: 1
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_9",
            sound: "tabak_toyok.l30.attack.2",
            duration: {
                damageTimes: [0.24, 0.48],
                clearVelocity: [true, false],
                endTime: 0.92
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_10",
            sound: "tabak_toyok.l40.attack.1",
            duration: {
                damageTimes: [0.24, 0.76],
                clearVelocity: [true, false],
                endTime: 1.2
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_11",
            sound: "tabak_toyok.l40.attack.2",
            duration: {
                damageTimes: [0.76],
                endTime: 1.2
            }
        }
    ],
    furyAttacks: [
        {
            damage: 20,
            range: 8,
            sound: "tabak_toyok.dragon_fury.1",
            duration: {
                damageTimes: [1.64],
                endTime: 2.8
            }
        },
        {
            damage: 25,
            range: 8,
            sound: "tabak_toyok.dragon_fury.2",
            duration: {
                damageTimes: [3.24],
                endTime: 4.12
            }
        },
        {
            damage: 30,
            range: 8,
            sound: "tabak_toyok.dragon_fury.3",
            duration: {
                damageTimes: [2.56],
                endTime: 3.04
            }
        }
    ],
    bossAttacks: [
        {
            damage: 15,
            range: 32,
            animation: "start_boss_attack",
            sound: "tabak_toyok.shoot_dragon",
            cooldown: 0.2,
            duration: {
                damageTimes: [1.4],
                endTime: 2.15
            }
        }
    ]
};
