export const UNARMED_DEFAULT_ATTACKS = {
    attacks: [
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_0",
            sound: "unarmed.l0.attack.1",
            duration: {
                damageTimes: [0.25],
                endTime: 0.75
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_1",
            sound: "unarmed.l0.attack.2",
            duration: {
                damageTimes: [0.25],
                endTime: 0.75
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_2",
            sound: "unarmed.l0.attack.3",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_3",
            sound: "unarmed.l0.attack.4",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_4",
            sound: "unarmed.l10.attack.1",
            duration: {
                damageTimes: [0.35],
                endTime: 1
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_5",
            sound: "unarmed.l10.attack.2",
            duration: {
                damageTimes: [0.75],
                endTime: 1.95
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_6",
            sound: "unarmed.l20.attack.1",
            duration: {
                damageTimes: [0.4, 0.95, 1.6, 1.75, 1.9, 2],
                clearVelocity: [true, true, true, true, true, false],
                endTime: 2.5
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_7",
            sound: "unarmed.l20.attack.2",
            duration: {
                damageTimes: [0.55],
                endTime: 1.7
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_8",
            sound: "unarmed.l30.attack.1",
            duration: {
                damageTimes: [0.45],
                endTime: 1.1
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_9",
            sound: "unarmed.l30.attack.2",
            duration: {
                damageTimes: [0.5],
                endTime: 1.3
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_10",
            sound: "unarmed.l40.attack.1",
            duration: {
                damageTimes: [0.3, 0.95, 1.7],
                clearVelocity: [true, true, false],
                endTime: 2.4
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_11",
            sound: "unarmed.l40.attack.2",
            duration: {
                damageTimes: [0.55, 0.75, 0.95],
                clearVelocity: [true, true, false],
                endTime: 1.3
            }
        },
    ],
    furyAttacks: [
        {
            damage: 20,
            range: 8,
            sound: "unarmed.dragon_fury.1",
            duration: {
                damageTimes: [1.65],
                endTime: 3
            }
        },
        {
            damage: 25,
            range: 8,
            sound: "unarmed.dragon_fury.2",
            duration: {
                damageTimes: [1.3],
                endTime: 3
            }
        },
        {
            damage: 30,
            range: 8,
            sound: "unarmed.dragon_fury.3",
            duration: {
                damageTimes: [1.5],
                endTime: 2.5
            }
        }
    ],
    bossAttacks: [
        {
            damage: 15,
            range: 2.5,
            animation: "start_boss_attack",
            sound: "unarmed.shoot_dragon",
            cooldown: 0.2,
            duration: {
                damageTimes: [1.05],
                endTime: 1.85
            }
        }
    ]
};
