export const BO_STAFF_DEFAULT_ATTACKS = {
    attacks: [
        {
            damage: 3,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_0",
            sound: "bo_staff.l10.attack.1",
            duration: {
                damageTimes: [0.25],
                canMultiHit: [true],
                endTime: 0.95
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_1",
            sound: "bo_staff.l10.attack.2",
            duration: {
                damageTimes: [0.55],
                endTime: 1.4
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_2",
            sound: "unarmed.l0.attack.3",
            duration: {
                damageTimes: [0.35],
                endTime: 1.05
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 2.5,
            animation: "start_attack_3",
            sound: "unarmed.l0.attack.4",
            duration: {
                damageTimes: [0.35],
                endTime: 1.05
            }
        },
        {
            damage: 3,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_4",
            sound: "bo_staff.l10.attack.1",
            duration: {
                damageTimes: [0.25],
                canMultiHit: [true],
                endTime: 0.95
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_5",
            sound: "bo_staff.l10.attack.2",
            duration: {
                damageTimes: [0.55],
                endTime: 1.40
            }
        },
        {
            damage: 4,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_6",
            sound: "bo_staff.l20.attack.1",
            duration: {
                damageTimes: [0.3],
                canMultiHit: [true],
                endTime: 1.45
            }
        },
        {
            damage: 6,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_7",
            sound: "bo_staff.l20.attack.2",
            duration: {
                damageTimes: [0.45],
                endTime: 1.05
            }
        },
        {
            damage: 5,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_8",
            sound: "bo_staff.l30.attack.1",
            duration: {
                damageTimes: [0.83],
                canMultiHit: [true],
                endTime: 1.75
            }
        },
        {
            damage: 7,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_9",
            sound: "bo_staff.l30.attack.2",
            duration: {
                damageTimes: [0.5],
                endTime: 1.30
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_10",
            sound: "bo_staff.l40.attack.1",
            duration: {
                damageTimes: [1.6],
                endTime: 2.55
            }
        },
        {
            damage: 8,
            cooldown: 0.5,
            range: 3,
            animation: "start_attack_11",
            sound: "bo_staff.l40.attack.2",
            duration: {
                damageTimes: [1.05],
                endTime: 2.00
            }
        }
    ],
    furyAttacks: [
        {
            damage: 20,
            range: 8,
            sound: "bo_staff.dragon_fury.1",
            duration: {
                damageTimes: [1.6],
                endTime: 3
            }
        },
        {
            damage: 10,
            range: 8,
            sound: "bo_staff.dragon_fury.2",
            duration: {
                damageTimes: [0.9, 1.1, 1.3, 1.5, 1.7, 2.45],
                endTime: 3.35
            }
        },
        {
            damage: 30,
            range: 8,
            sound: "bo_staff.dragon_fury.3",
            duration: {
                damageTimes: [1.08],
                endTime: 2
            }
        }
    ],
    bossAttacks: [
        {
            damage: 15,
            range: 10,
            animation: "start_boss_attack",
            sound: "bo_staff.shoot_dragon",
            cooldown: 0.2,
            duration: {
                damageTimes: [1.0],
                endTime: 1.95
            }
        }
    ]
};
