import * as utils from "../utils/index";
import { SoundPlayer } from "../actor_component/sound_player";
export const BRUCE_LEE_SOUNDS = {
    "die": [
        "ldz_240913:bruce_lee.die",
        // "ldz_240913:bruce_lee.die.2",
        // "ldz_240913:bruce_lee.die.3",
    ],
    "gain_experience": [
        { name: "ldz_240913:bruce_lee.gain_experience.1", use_volume: false },
        // "ldz_240913:bruce_lee.gain_experience.2",
        // "ldz_240913:bruce_lee.gain_experience.3",
    ],
    "heal": [
        { name: "ldz_240913:bruce_lee.heal.1", use_volume: false },
        // "ldz_240913:bruce_lee.heal.2",
        // "ldz_240913:bruce_lee.heal.3",
    ],
    "hurt": [
        "ldz_240913:bruce_lee.hurt",
    ],
    "level_10": [
        { name: "ldz_240913:bruce_lee.level_10.1", use_volume: false },
        // "ldz_240913:bruce_lee.level_10.2",
        // "ldz_240913:bruce_lee.level_10.3",
    ],
    "level_up": [
        { name: "ldz_240913:bruce_lee.level_up.1", use_volume: false },
        // "ldz_240913:bruce_lee.level_up.2",
        // "ldz_240913:bruce_lee.level_up.3",
    ],
    "meditate": [
        { name: "ldz_240913:bruce_lee.meditate.1", use_volume: false },
        // "ldz_240913:bruce_lee.meditate.2",
        // "ldz_240913:bruce_lee.meditate.3",
    ],
    "revive.1": [
        { "0.5": { name: "ldz_240913:bruce_lee.revive.1", use_volume: false } },
    ],
    "revive.2": [
        { "1": "ldz_240913:bruce_lee.revive.2" },
    ],
    "take_a_break": [
        { name: "ldz_240913:bruce_lee.take_a_break.1", use_volume: false },
        // "ldz_240913:bruce_lee.take_a_break.2",
        // "ldz_240913:bruce_lee.take_a_break.3",
    ],
    "dragon_fury_charged": [
        "ldz_240913:bruce_lee.dragon_fury_charged"
    ],
    "bits.baby_you_better_train": [
        "ldz_240913:bruce_lee.bits.baby_you_better_train"
    ],
    "bits.be_formless": [
        "ldz_240913:bruce_lee.bits.be_formless"
    ],
    "bits.be_like_water": [
        "ldz_240913:bruce_lee.bits.be_like_water"
    ],
    "bits.be_shapeless": [
        "ldz_240913:bruce_lee.bits.be_shapeless"
    ],
    "bits.be_water_my_friend": [
        "ldz_240913:bruce_lee.bits.be_water_my_friend"
    ],
    "bits.empty_your_mind": [
        "ldz_240913:bruce_lee.bits.empty_your_mind"
    ],
    "bits.here_i_am": [
        "ldz_240913:bruce_lee.bits.here_i_am"
    ],
    "bits.here_is_control": [
        "ldz_240913:bruce_lee.bits.here_is_control"
    ],
    "bits.i_do_not_believe": [
        "ldz_240913:bruce_lee.bits.i_do_not_believe"
    ],
    "bits.keep_on_flowing": [
        "ldz_240913:bruce_lee.bits.keep_on_flowing"
    ],
    "bits.laugh": [
        "ldz_240913:bruce_lee.bits.laugh"
    ],
    "bits.make_this_into_a_weapon": [
        "ldz_240913:bruce_lee.bits.make_this_into_a_weapon"
    ],
    "bits.martial_art_has": [
        "ldz_240913:bruce_lee.bits.martial_art_has"
    ],
    "bits.running_water_never": [
        "ldz_240913:bruce_lee.bits.running_water_never"
    ],
    "bits.snap_it": [
        "ldz_240913:bruce_lee.bits.snap_it"
    ],
    "bits.ultimately_martial_art": [
        "ldz_240913:bruce_lee.bits.ultimately_martial_art"
    ],
    "bits.we_have_only_2_hands": [
        "ldz_240913:bruce_lee.bits.we_have_only_2_hands"
    ],
    "bits.you_have_to_train": [
        "ldz_240913:bruce_lee.bits.you_have_to_train"
    ],
    "unarmed.block": [
        { "0.05": { name: "ldz_240913:bruce_lee.block.unarmed", use_volume: false } }
    ],
    "unarmed.fidget_1": [],
    "unarmed.fidget_2": [],
    "unarmed.l0.attack.1": [
        { name: "ldz_240913:bruce_lee.attack.unarmed.punch_1", use_volume: false },
        { "0.1": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] }
    ],
    "unarmed.l0.attack.2": [
        { name: "ldz_240913:bruce_lee.attack.unarmed.punch_2", use_volume: false },
        { "0.1": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] }
    ],
    "unarmed.l0.attack.3": [
        { name: "ldz_240913:bruce_lee.attack.unarmed.kick_1", use_volume: false },
        { "0.1": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] }
    ],
    "unarmed.l0.attack.4": [
        { name: "ldz_240913:bruce_lee.attack.unarmed.kick_2", use_volume: false },
        { "0.1": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] }
    ],
    "unarmed.l10.attack.1": [
        { "0.3": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.35": { name: "ldz_240913:bruce_lee.attack.unarmed.punch_1", use_volume: false } },
        { "0.45": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.5": { name: "ldz_240913:bruce_lee.attack.unarmed.punch_2", use_volume: false } },
        { "0.6": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.65": { name: "ldz_240913:bruce_lee.attack.unarmed.punch_1", use_volume: false } },
        { "0.75": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.8": { name: "ldz_240913:bruce_lee.attack.unarmed.punch_2", use_volume: false } },
    ],
    "unarmed.l10.attack.2": [
        { "0.45": ["ldz_240913:bruce_lee.grunt.strike_long.15", "ldz_240913:bruce_lee.grunt.strike_long.1", "ldz_240913:bruce_lee.grunt.strike_long.8", "ldz_240913:bruce_lee.grunt.strike_long.11", "ldz_240913:bruce_lee.grunt.strike_long.25"] },
        { "0.45": { name: "ldz_240913:bruce_lee.attack.unarmed.l10.2_a", use_volume: false } },
        { "0.75": { name: "ldz_240913:bruce_lee.attack.unarmed.l10.2_b", use_volume: false } },
    ],
    "unarmed.l20.attack.1": [
        { "0.4": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.4": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.1_a", use_volume: false } },
        { "0.95": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.1_b", use_volume: false } },
        { "1.65": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.1_c", use_volume: false } },
        { "1.75": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.1_d", use_volume: false } },
        { "1.85": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.1_e", use_volume: false } },
        { "1.9": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.95": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.1_f", use_volume: false } },
    ],
    "unarmed.l20.attack.2": [
        { "0.3": "ldz_240913:bruce_lee.grunt.strike_long.22" },
        { "0.6": { name: "ldz_240913:bruce_lee.attack.unarmed.l20.2_a", use_volume: false } },
    ],
    "unarmed.l30.attack.1": [
        { "0.3": { name: "ldz_240913:bruce_lee.attack.unarmed.l30.1_a", use_volume: false } },
        { "0.35": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.45": { name: "ldz_240913:bruce_lee.attack.unarmed.l30.1_b", use_volume: false } },
    ],
    "unarmed.l30.attack.2": [
        { "0.25": { name: "ldz_240913:bruce_lee.attack.unarmed.l30.2_a", use_volume: false } },
        { "0.25": "ldz_240913:bruce_lee.grunt.strike_long" }
    ],
    "unarmed.l40.attack.1": [
        { "0.2": { name: "ldz_240913:bruce_lee.attack.unarmed.l40.1_a", use_volume: false } },
        { "0.75": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.85": { name: "ldz_240913:bruce_lee.attack.unarmed.l40.1_b", use_volume: false } },
        { "1.4": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.55": { name: "ldz_240913:bruce_lee.attack.unarmed.l40.1_c", use_volume: false } },
    ],
    "unarmed.l40.attack.2": [
        { "0.45": { name: "ldz_240913:bruce_lee.attack.unarmed.l40.2_a", use_volume: false } },
        { "0.45": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.65": { name: "ldz_240913:bruce_lee.attack.unarmed.l40.2_b", use_volume: false } },
        { "0.65": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.85": { name: "ldz_240913:bruce_lee.attack.unarmed.l40.2_c", use_volume: false } },
        { "0.9": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
    ],
    "unarmed.dragon_fury.1": [
        { "0": ["ldz_240913:bruce_lee.grunt.charge_up.4", "ldz_240913:bruce_lee.grunt.charge_up.5", "ldz_240913:bruce_lee.grunt.charge_up.6"] },
        { "0.25": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_1_a", use_volume: false } },
        { "1": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_1_b", use_volume: false } },
        { "1.2": ["ldz_240913:bruce_lee.grunt.strike_long"] },
        { "1.8": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_1_c", use_volume: false } },
    ],
    "unarmed.dragon_fury.2": [
        { "0.05": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_2_a", use_volume: false } },
        { "0.05": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "0.5": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_2_b", use_volume: false } },
        { "0.8": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_2_c", use_volume: false } },
        { "1.1": "ldz_240913:bruce_lee.grunt.strike_long.24" },
        { "1.3": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_2_d", use_volume: false } },
    ],
    "unarmed.dragon_fury.3": [
        { "0": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_3_a", use_volume: false } },
        { "0": ["ldz_240913:bruce_lee.grunt.charge_up.4", "ldz_240913:bruce_lee.grunt.charge_up.5", "ldz_240913:bruce_lee.grunt.charge_up.6"] },
        { "0.5": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_3_b", use_volume: false } },
        { "1": ["ldz_240913:bruce_lee.grunt.strike_long"] },
        { "1": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_3_c", use_volume: false } },
        { "1.35": { name: "ldz_240913:bruce_lee.attack.unarmed.dragon_fury_3_d", use_volume: false } },
    ],
    "unarmed.shoot_dragon": [
        // { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_a", use_volume: false } },
        { "0": "ldz_240913:bruce_lee.grunt.strike_long" },
        // { "0.45": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_b", use_volume: false } },
        // { "0.65": "ldz_240913:bruce_lee.grunt.strike_short" },
        { "1.05": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_c", use_volume: false } },
        { "1.15": "ldz_240913:bruce_lee.grunt.strike_short" },
        { "1.25": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_d", use_volume: false } },
    ],
    "bo_staff.block": [
        { name: "ldz_240913:bruce_lee.block.weapon", use_volume: false }
    ],
    "bo_staff.idle": [],
    "bo_staff.fidget_1": [
        { "0.25": { name: "ldz_240913:bruce_lee.bo_staff.fidget_1", use_volume: false } }
    ],
    "bo_staff.fidget_2": [],
    "bo_staff.l10.attack.1": [
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l10.1_a", use_volume: false } },
        { "0": "ldz_240913:bruce_lee.grunt.strike_short" },
        { "0.25": { name: "ldz_240913:bruce_lee.attack.bo_staff.l10.1_b", use_volume: false } },
    ],
    "bo_staff.l10.attack.2": [
        { "0.3": ["ldz_240913:bruce_lee.grunt.strike_long.15", "ldz_240913:bruce_lee.grunt.strike_long.1", "ldz_240913:bruce_lee.grunt.strike_long.8", "ldz_240913:bruce_lee.grunt.strike_long.11", "ldz_240913:bruce_lee.grunt.strike_long.25"] },
        { "0.55": { name: "ldz_240913:bruce_lee.attack.bo_staff.l10.2_a", use_volume: false } },
    ],
    "bo_staff.l20.attack.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_short" },
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l20.1_a", use_volume: false } },
        { "0.15": { name: "ldz_240913:bruce_lee.attack.bo_staff.l20.1_b", use_volume: false } },
    ],
    "bo_staff.l20.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_long.15", "ldz_240913:bruce_lee.grunt.strike_long.1", "ldz_240913:bruce_lee.grunt.strike_long.8", "ldz_240913:bruce_lee.grunt.strike_long.11", "ldz_240913:bruce_lee.grunt.strike_long.25"] },
        { "0.125": { name: "ldz_240913:bruce_lee.attack.bo_staff.l20.2_a", use_volume: false } },
        { "0.35": { name: "ldz_240913:bruce_lee.attack.bo_staff.l20.2_b", use_volume: false } },
    ],
    "bo_staff.l30.attack.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.22" },
        { "0.2333": { name: "ldz_240913:bruce_lee.attack.bo_staff.l30.1_a", use_volume: false } },
        { "0.4333": { name: "ldz_240913:bruce_lee.attack.bo_staff.l30.1_b", use_volume: false } },
        { "0.7167": { name: "ldz_240913:bruce_lee.attack.bo_staff.l30.1_c", use_volume: false } },
    ],
    "bo_staff.l30.attack.2": [
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l30.2_a", use_volume: false } },
        { "0.05": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.35": { name: "ldz_240913:bruce_lee.attack.bo_staff.l30.2_b", use_volume: false } },
        { "0.625": { name: "ldz_240913:bruce_lee.attack.bo_staff.l30.2_c", use_volume: false } },
    ],
    "bo_staff.l40.attack.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.18" },
        { "0.85": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.1_a", use_volume: false } },
        { "1.35": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.1_b", use_volume: false } },
    ],
    "bo_staff.l40.attack.2": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "0.6": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_a", use_volume: false } },
        { "0.65": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_b", use_volume: false } },
        { "1.15": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
    ],
    "bo_staff.dragon_fury.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.18" },
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_1_a", use_volume: false } },
        { "0.95": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_1_b", use_volume: false } },
        { "0.95": "ldz_240913:bruce_lee.grunt.strike_short" },
        { "1.35": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_1_c", use_volume: false } }
    ],
    "bo_staff.dragon_fury.2": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.22" },
        { "0.825": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_a", use_volume: false } },
        { "0.9": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.95": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_b", use_volume: false } },
        { "1.15": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_b", use_volume: false } },
        { "1.18": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.35": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_b", use_volume: false } },
        { "1.45": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.75": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_b", use_volume: false } },
        { "1.75": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.925": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_c", use_volume: false } },
        { "2.05": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "2.375": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_d", use_volume: false } },
        { "2.4": "ldz_240913:bruce_lee.grunt.strike_long.24" },
        { "2.55": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_e", use_volume: false } },
        { "2.65": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_2_f", use_volume: false } },
    ],
    "bo_staff.dragon_fury.3": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_3_a", use_volume: false } },
        { "0.05": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_3_b", use_volume: false } },
        { "0.875": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_3_c", use_volume: false } },
        { "1": { name: "ldz_240913:bruce_lee.attack.bo_staff.dragon_fury_3_d", use_volume: false } },
    ],
    "bo_staff.shoot_dragon": [
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_a", use_volume: false } },
        { "0": "ldz_240913:bruce_lee.grunt.strike_long" },
        { "0.45": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_b", use_volume: false } },
        { "0.65": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.05": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_c", use_volume: false } },
        { "1.15": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.25": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_d", use_volume: false } },
    ],
    "escrima_sticks.block": [
        { name: "ldz_240913:bruce_lee.block.weapon", use_volume: false }
    ],
    "escrima_sticks.idle.1": [],
    "escrima_sticks.idle.2": [],
    "escrima_sticks.fidget_1": [
        { "1.5": { name: "ldz_240913:bruce_lee.escrima_sticks.fidget_1", use_volume: false } }
    ],
    "escrima_sticks.fidget_2": [],
    "escrima_sticks.fidget_3": [
        { "1.45": { name: "ldz_240913:bruce_lee.escrima_sticks.fidget_3", use_volume: false } }
    ],
    "escrima_sticks.l10.attack.1": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l10.1_a", use_volume: false } },
        { "0.25": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l10.1_b", use_volume: false } },
    ],
    "escrima_sticks.l10.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l10.2_a", use_volume: false } },
        { "0.15": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l10.2_b", use_volume: false } },
    ],
    "escrima_sticks.l20.attack.1": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l20.1_a", use_volume: false } },
        { "0.1": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l20.1_b", use_volume: false } },
    ],
    "escrima_sticks.l20.attack.2": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.24" },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l20.2_a", use_volume: false } },
        { "0.2667": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l20.2_b", use_volume: false } },
    ],
    "escrima_sticks.l30.attack.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.22" },
        { "0.2": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l30.1_a", use_volume: false } },
        { "0.5": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l30.1_b", use_volume: false } },
    ],
    "escrima_sticks.l30.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.1": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l30.2_a", use_volume: false } },
        { "0.275": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.5": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_c", use_volume: false } },
    ],
    "escrima_sticks.l40.attack.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.22" },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l40.1_a", use_volume: false } },
        { "0.1": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l40.1_b", use_volume: false } },
    ],
    "escrima_sticks.l40.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_long.15", "ldz_240913:bruce_lee.grunt.strike_long.1", "ldz_240913:bruce_lee.grunt.strike_long.8", "ldz_240913:bruce_lee.grunt.strike_long.11", "ldz_240913:bruce_lee.grunt.strike_long.25"] },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l40.2_a", use_volume: false } },
        { "0.3333": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l40.2_b", use_volume: false } },
        { "0.5333": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.l40.2_c", use_volume: false } },
    ],
    "escrima_sticks.dragon_fury.1": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "0.25": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_1_a", use_volume: false } },
        { "0.5": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_1_b", use_volume: false } },
        { "0.55": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_1_b", use_volume: false } },
        { "0.85": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_1_c", use_volume: false } },
        { "0.9": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_1_d", use_volume: false } },
    ],
    "escrima_sticks.dragon_fury.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_long.15", "ldz_240913:bruce_lee.grunt.strike_long.1", "ldz_240913:bruce_lee.grunt.strike_long.8", "ldz_240913:bruce_lee.grunt.strike_long.11", "ldz_240913:bruce_lee.grunt.strike_long.25"] },
        { "0.15": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_2_a", use_volume: false } },
        { "0.4": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_2_b", use_volume: false } },
        { "0.55": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_2_c", use_volume: false } },
        { "0.6": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_2_d", use_volume: false } },
    ],
    "escrima_sticks.dragon_fury.3": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "0": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_a", use_volume: false } },
        { "1": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_b", use_volume: false } },
        { "1.1": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_c", use_volume: false } },
        { "1.15": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_d", use_volume: false } },
        { "1.2": "ldz_240913:bruce_lee.grunt.strike_long.24" },
        { "1.25": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_b", use_volume: false } },
        { "1.3": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_e", use_volume: false } },
        { "1.4": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_c", use_volume: false } },
        { "1.5": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_b", use_volume: false } },
        { "1.6": { name: "ldz_240913:bruce_lee.attack.escrima_sticks.dragon_fury_3_c", use_volume: false } },
    ],
    "escrima_sticks.shoot_dragon": [
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_a", use_volume: false } },
        { "0": "ldz_240913:bruce_lee.grunt.strike_long" },
        { "0.45": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_b", use_volume: false } },
        { "0.65": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.05": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_c", use_volume: false } },
        { "1.15": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.25": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_d", use_volume: false } },
    ],
    "tabak_toyok.block": [
        { name: "ldz_240913:bruce_lee.block.weapon", use_volume: false }
    ],
    "tabak_toyok.idle.1": [
        { "0": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
        { "0.2": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_a", use_volume: false } },
        { "0.39": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
        { "0.59": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
        { "0.78": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_a", use_volume: false } },
        { "0.98": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
    ],
    "tabak_toyok.idle.2": [],
    "tabak_toyok.fidget_1": [
        { "0": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
        { "0.2": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_a", use_volume: false } },
        { "0.41": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
        { "0.61": { name: "ldz_240913:bruce_lee.idle.tabak_toyok_1_b", use_volume: false } },
    ],
    "tabak_toyok.fidget_2": [
        { name: "ldz_240913:bruce_lee.idle.tabak_toyok_2", use_volume: false }
    ],
    "tabak_toyok.fidget_3": [
        { name: "ldz_240913:bruce_lee.idle.tabak_toyok_3", use_volume: false }
    ],
    "tabak_toyok.l10.attack.1": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l10.1", use_volume: false }
    ],
    "tabak_toyok.l10.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l10.2", use_volume: false }
    ],
    "tabak_toyok.l20.attack.1": [
        { "0": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l20.1_a", use_volume: false } },
        { "0.32": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l20.1_b", use_volume: false } },
    ],
    "tabak_toyok.l20.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l20.2_a", use_volume: false } },
        { "0.24": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l20.2_b", use_volume: false } },
        { "0.45": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.48": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l20.2_c", use_volume: false } },
    ],
    "tabak_toyok.l30.attack.1": [
        { "0": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l30.1_a", use_volume: false } },
        { "0.05": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.16": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l30.1_b", use_volume: false } },
        { "0.28": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l30.1_c", use_volume: false } },
        { "0.4": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l30.1_d", use_volume: false } },
    ],
    "tabak_toyok.l30.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l30.2_a", use_volume: false } },
        { "0.32": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l30.2_b", use_volume: false } },
        { "0.55": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
    ],
    "tabak_toyok.l40.attack.1": [
        { "0": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l40.1_a", use_volume: false } },
        { "0.05": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.32": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l40.1_b", use_volume: false } },
        { "0.35": "ldz_240913:bruce_lee.grunt.strike_long.24" },
        { "0.8": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l40.1_c", use_volume: false } },
        { "0.925": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
    ],
    "tabak_toyok.l40.attack.2": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.08": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l40.2_a", use_volume: false } },
        { "0.32": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l40.2_b", use_volume: false } },
        { "0.64": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.l40.2_c", use_volume: false } },
        { "0.92": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
    ],
    "tabak_toyok.dragon_fury.1": [
        { "0.4": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.6267": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_1_a", use_volume: false } },
        { "0.6267": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "1.0533": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_1_b", use_volume: false } },
        { "1.4133": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_1_c", use_volume: false } },
        { "1.6133": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_1_d", use_volume: false } }
    ],
    "tabak_toyok.dragon_fury.2": [
        { "0": "ldz_240913:bruce_lee.grunt.strike_long.24" },
        { "0.88": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_a", use_volume: false } },
        { "1.12": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_a", use_volume: false } },
        { "1.36": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_a", use_volume: false } },
        { "1.64": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_a", use_volume: false } },
        { "2": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "2.28": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_b", use_volume: false } },
        { "2.76": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_c", use_volume: false } },
        { '2.88': { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_d", use_volume: false } },
        { "3.24": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_2_a", use_volume: false } },
    ],
    "tabak_toyok.dragon_fury.3": [
        { "0": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.55": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "0.88": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_3_a", use_volume: false } },
        { "1.05": "ldz_240913:bruce_lee.grunt.strike_long.26" },
        { "1.68": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_3_b", use_volume: false } },
        { "1.84": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_3_c", use_volume: false } },
        { "2.48": { name: "ldz_240913:bruce_lee.attack.tabak_toyok.dragon_fury_3_d", use_volume: false } }
    ],
    "tabak_toyok.shoot_dragon": [
        { "0": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_a", use_volume: false } },
        { "0": "ldz_240913:bruce_lee.grunt.strike_long" },
        { "0.45": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_b", use_volume: false } },
        { "0.65": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.05": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_c", use_volume: false } },
        { "1.15": ["ldz_240913:bruce_lee.grunt.strike_short", "ldz_240913:bruce_lee.grunt.strike_medium"] },
        { "1.25": { name: "ldz_240913:bruce_lee.attack.bo_staff.l40.2_d", use_volume: false } },
    ],
};
export class BruceLeeSoundPlayer extends SoundPlayer {
    playSound(eventId, dimension, location) {
        super.playSound(eventId, dimension, location);
    }
    stopSounds(eventId) {
        super.stopSounds(eventId);
    }
    playSoundToPlayers(soundReference, dimension, location) {
        utils.getAllPlayersSafe()
            .filter(player => player.dimension === dimension)
            .forEach(player => {
            var _a, _b;
            if (typeof soundReference === "string") {
                const volume = ((_a = utils.readDynamicProperty(player, BruceLeeSoundPlayer.VOLUME_DYNAMIC_PROPERTY)) !== null && _a !== void 0 ? _a : 10) / 20;
                player.playSound(soundReference, { location, volume });
            }
            else {
                const sound = soundReference.name;
                const volume = ((_b = utils.readDynamicProperty(player, BruceLeeSoundPlayer.VOLUME_DYNAMIC_PROPERTY)) !== null && _b !== void 0 ? _b : 10) / 20;
                player.playSound(sound, { location, volume: soundReference.use_volume ? volume : 1 });
            }
        });
    }
}
BruceLeeSoundPlayer.VOLUME_DYNAMIC_PROPERTY = "ldz_240913:volume.bruce_lee";
